Bug 1791758 - avoid warning from systemd for nm-cloud-setup.service using unsupported settings
Summary: avoid warning from systemd for nm-cloud-setup.service using unsupported settings
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: NetworkManager
Version: 8.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 8.0
Assignee: Thomas Haller
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-16 12:37 UTC by Thomas Haller
Modified: 2020-04-28 16:54 UTC (History)
8 users (show)

Fixed In Version: NetworkManager-1.22.6-1.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-28 16:54:11 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2020:1847 0 None None None 2020-04-28 16:54:38 UTC

Description Thomas Haller 2020-01-16 12:37:46 UTC
The upstream nm-cloud-setup.service unit ([1]) contains various flags that are not supported by systemd in rhel-8.2. That causes warnings:

Jan 15 11:43:48 ip-10-0-0-79.eu-west-1.compute.internal systemd[1]: /usr/lib/systemd/system/nm-cloud-setup.service:24: Unknown lvalue 'ProtectHostname' in section 'Service'
Jan 15 11:43:48 ip-10-0-0-79.eu-west-1.compute.internal systemd[1]: /usr/lib/systemd/system/nm-cloud-setup.service:25: Unknown lvalue 'ProtectKernelLogs' in section 'Service'
Jan 15 11:43:48 ip-10-0-0-79.eu-west-1.compute.internal systemd[1]: /usr/lib/systemd/system/nm-cloud-setup.service:32: Unknown lvalue 'RestrictSUIDSGID' in section 'Service'


Those settings should be disabled on rhel-8.2.


[1] https://gitlab.freedesktop.org/NetworkManager/NetworkManager/blob/b1b69c1c7b77dfcacb942fe9f6bca5f56593230f/clients/cloud-setup/nm-cloud-setup.service.in#L16

Comment 1 Thomas Haller 2020-01-16 12:51:16 UTC
pushed to dist-git. The package build is at the moment still waiting to collect more changes...

Comment 3 Vladimir Benes 2020-02-12 17:03:07 UTC
device_reapply_routes test altered to do reapply when the DHCP request is not yet done. This showed the bug and also shows the bug fix now.

Comment 4 Vladimir Benes 2020-02-12 17:05:58 UTC
(In reply to Vladimir Benes from comment #3)
> device_reapply_routes test altered to do reapply when the DHCP request is
> not yet done. This showed the bug and also shows the bug fix now.

wrong bug, sorry

Comment 5 Vladimir Benes 2020-02-19 17:01:03 UTC
with 1.22.4-1
Feb 19 11:58:52 gsm-r6s14-01.wlan.rhts.eng.bos.redhat.com systemd[1]: /usr/lib/systemd/system/nm-cloud-setup.service:24: Unknown lvalue 'ProtectHostname' in section 'Service'
Feb 19 11:58:52 gsm-r6s14-01.wlan.rhts.eng.bos.redhat.com systemd[1]: /usr/lib/systemd/system/nm-cloud-setup.service:25: Unknown lvalue 'ProtectKernelLogs' in section 'Service'
Feb 19 11:58:52 gsm-r6s14-01.wlan.rhts.eng.bos.redhat.com systemd[1]: /usr/lib/systemd/system/nm-cloud-setup.service:32: Unknown lvalue 'RestrictSUIDSGID' in section 'Service'


with 1.22.6-1
Feb 19 11:48:03 gsm-r6s14-01.wlan.rhts.eng.bos.redhat.com nm-cloud-setup[57610]: [92286.08181] <debug> nm-cloud-setup 1.22.6-1.el8 starting...
Feb 19 11:48:03 gsm-r6s14-01.wlan.rhts.eng.bos.redhat.com nm-cloud-setup[57610]: [92286.08187] <debug> start detecting ec2 provider...
Feb 19 11:48:03 gsm-r6s14-01.wlan.rhts.eng.bos.redhat.com nm-cloud-setup[57610]: [92286.08188] <debug> http-request[494c674988234290, "http://169.254.169.254/latest/meta-data/"]: start get ...
Feb 19 11:48:06 gsm-r6s14-01.wlan.rhts.eng.bos.redhat.com nm-cloud-setup[57610]: [92289.08196] <debug> http-request[494c674988234290, "http://169.254.169.254/latest/meta-data/"]: failed with HTTP request timed >
Feb 19 11:48:07 gsm-r6s14-01.wlan.rhts.eng.bos.redhat.com nm-cloud-setup[57610]: [92290.08200] <debug> http-request[6549bce98041260c, "http://169.254.169.254/latest/meta-data/"]: start get ...
Feb 19 11:48:10 gsm-r6s14-01.wlan.rhts.eng.bos.redhat.com nm-cloud-setup[57610]: [92293.08197] <trace> http-request[6549bce98041260c, "http://169.254.169.254/latest/meta-data/"]: cancelled
Feb 19 11:48:10 gsm-r6s14-01.wlan.rhts.eng.bos.redhat.com nm-cloud-setup[57610]: [92293.08198] <info>  provider ec2 not detected: failure to detect EC2 metadata
Feb 19 11:48:10 gsm-r6s14-01.wlan.rhts.eng.bos.redhat.com nm-cloud-setup[57610]: [92293.08198] <info>  no provider detected
Feb 19 11:48:10 gsm-r6s14-01.wlan.rhts.eng.bos.redhat.com systemd[1]: Started Automatically configure NetworkManager in cloud.


no errors visible

Comment 7 errata-xmlrpc 2020-04-28 16:54:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:1847


Note You need to log in before you can comment on or make changes to this bug.